Bug 129196 - up2date fails to update some packages
up2date fails to update some packages
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Depends On:
  Show dependency treegraph
Reported: 2004-08-04 19:03 EDT by Quentin Armitage
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:21:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Quentin Armitage 2004-08-04 19:03:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
up2date will not update ant, bcel, jaf, javamail, junit or mx4j to 
the latest versions. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.up2date --download ant (or any of the packages mentioned)

Actual Results:  Fetching Obsoletes list for channel: rhel-i386-as-

Fetching Obsoletes list for channel: rhel-i386-as-3-extras...

Fetching Obsoletes list for channel: rhel-i386-as-3-devsuite...

Fetching Obsoletes list for channel: rhel-i386-as-3-cluster...

Fetching Obsoletes list for channel: rhel-3-as-i386-rhaps-beta...

Fetching rpm headers...

Name                                    Version        Rel
ant                                     1.6.1          
1jpp_2rh          noarch

Testing package set / solving RPM inter-dependencies...
ant-1.6.1-1jpp_2rh.noarch.r  Retrieved.
ant-1.6.1-1jpp_2rh.src.rpm:  Retrieved.
The package ant-1.6.1-1jpp_2rh is signed, but with an uknown GPG key. 
Package ant-1.6.1-1jpp_2rh has a unknown GPG signature.

Expected Results:  The package should be successfully downloaded

Additional info:

The same problem occurred with version 4.2.16-1.
Comment 1 Andrew Overholt 2004-08-05 13:26:44 EDT
I think this might be because it's coming from the
rhel-3-as-i386-rhaps-beta channel which has packages signed by a
different GPG key.  Try changing to the "Red Hat Application Server
1.0" channel and see if it's reproduceable (I'm doing the same here).

Comment 2 Quentin Armitage 2004-08-19 17:49:48 EDT

I am not familiar with how to change to the "Red Hat Application 
Server 1.0" channel. If you could let me know what to do (and also 
how to revert to the channel I am currently using), then I will try 

What result did you get from trying this?

I have just had an email about the case to say that the status is 
NEEDINFO. What info is currently needed?

Quentin Armitage
Comment 3 Andrew Overholt 2004-08-20 11:34:20 EDT
Hi Quentin,

I think Adrian changed it to NEEDINFO because he wanted to see if
things worked if you changed to the non-beta channel.  You can do that
by logging into RHN (rhn.redhat.com), going to the "Systems" tab and 
clicking on the system you wish to modify.  Once there, click on
"Alter Channel Subscriptions", uncheck "Red Hat Application Server
Beta" and check "Red Hat Application Server 1.0".  Finally, click the
"Change Subscriptions" button.  Now go to that machine and re-try your
up2date command.


Comment 4 RHEL Product and Program Management 2007-10-19 15:21:30 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.